Update a monitor
curl --request PUT \
--url https://api.devhelm.io/api/v1/monitors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 43205,
"enabled": true,
"regions": [
"<string>"
],
"ownerEnforced": true,
"ownerProject": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clearEnvironmentId": true,
"assertions": [
{
"config": {
"type": "body_contains",
"substring": "<string>"
}
}
],
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"clearAuth": true,
"incidentPolicy": {
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
}
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": {
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
},
"capturePolicy": {},
"fastRetryMaxAttempts": 5,
"runParallel": true,
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"acknowledgeRollback": "<string>",
"status": "<string>",
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"secretKeys": [
"<string>"
]
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}"
payload = {
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": ["<string>"],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 43205,
"enabled": True,
"regions": ["<string>"],
"ownerEnforced": True,
"ownerProject": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clearEnvironmentId": True,
"assertions": [{ "config": {
"type": "body_contains",
"substring": "<string>"
} }],
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"clearAuth": True,
"incidentPolicy": {
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
}
},
"alertChannelIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tags": {
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
},
"capturePolicy": {},
"fastRetryMaxAttempts": 5,
"runParallel": True,
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"acknowledgeRollback": "<string>",
"status": "<string>",
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"secretKeys": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
hostname: '<string>',
recordTypes: [],
nameservers: ['<string>'],
timeoutMs: 123,
totalTimeoutMs: 123
},
frequencySeconds: 43205,
enabled: true,
regions: ['<string>'],
ownerEnforced: true,
ownerProject: '<string>',
environmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clearEnvironmentId: true,
assertions: [{config: {type: 'body_contains', substring: '<string>'}}],
auth: {type: 'bearer', vaultSecretId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
clearAuth: true,
incidentPolicy: {
triggerRules: [{count: 123, windowMinutes: 123, thresholdMs: 123}],
confirmation: {type: 'multi_region', minRegionsFailing: 123, maxWaitSeconds: 123},
recovery: {consecutiveSuccesses: 123, minRegionsPassing: 123, cooldownMinutes: 123}
},
alertChannelIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tags: {
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
newTags: [{name: '<string>', color: '<string>'}]
},
capturePolicy: {},
fastRetryMaxAttempts: 5,
runParallel: true,
code: {
bundle: '<string>',
entrypoint: '<string>',
source: {repo: '<string>', branch: '<string>', commit: '<string>', file: '<string>'}
},
acknowledgeRollback: '<string>',
status: '<string>',
expectedUpdatedAt: '2023-11-07T05:31:56Z',
secretKeys: ['<string>']
})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
'hostname' => '<string>',
'recordTypes' => [
],
'nameservers' => [
'<string>'
],
'timeoutMs' => 123,
'totalTimeoutMs' => 123
],
'frequencySeconds' => 43205,
'enabled' => true,
'regions' => [
'<string>'
],
'ownerEnforced' => true,
'ownerProject' => '<string>',
'environmentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clearEnvironmentId' => true,
'assertions' => [
[
'config' => [
'type' => 'body_contains',
'substring' => '<string>'
]
]
],
'auth' => [
'type' => 'bearer',
'vaultSecretId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'clearAuth' => true,
'incidentPolicy' => [
'triggerRules' => [
[
'count' => 123,
'windowMinutes' => 123,
'thresholdMs' => 123
]
],
'confirmation' => [
'type' => 'multi_region',
'minRegionsFailing' => 123,
'maxWaitSeconds' => 123
],
'recovery' => [
'consecutiveSuccesses' => 123,
'minRegionsPassing' => 123,
'cooldownMinutes' => 123
]
],
'alertChannelIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'tags' => [
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'newTags' => [
[
'name' => '<string>',
'color' => '<string>'
]
]
],
'capturePolicy' => [
],
'fastRetryMaxAttempts' => 5,
'runParallel' => true,
'code' => [
'bundle' => '<string>',
'entrypoint' => '<string>',
'source' => [
'repo' => '<string>',
'branch' => '<string>',
'commit' => '<string>',
'file' => '<string>'
]
],
'acknowledgeRollback' => '<string>',
'status' => '<string>',
'expectedUpdatedAt' => '2023-11-07T05:31:56Z',
'secretKeys' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {\n \"hostname\": \"<string>\",\n \"recordTypes\": [],\n \"nameservers\": [\n \"<string>\"\n ],\n \"timeoutMs\": 123,\n \"totalTimeoutMs\": 123\n },\n \"frequencySeconds\": 43205,\n \"enabled\": true,\n \"regions\": [\n \"<string>\"\n ],\n \"ownerEnforced\": true,\n \"ownerProject\": \"<string>\",\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clearEnvironmentId\": true,\n \"assertions\": [\n {\n \"config\": {\n \"type\": \"body_contains\",\n \"substring\": \"<string>\"\n }\n }\n ],\n \"auth\": {\n \"type\": \"bearer\",\n \"vaultSecretId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"clearAuth\": true,\n \"incidentPolicy\": {\n \"triggerRules\": [\n {\n \"count\": 123,\n \"windowMinutes\": 123,\n \"thresholdMs\": 123\n }\n ],\n \"confirmation\": {\n \"type\": \"multi_region\",\n \"minRegionsFailing\": 123,\n \"maxWaitSeconds\": 123\n },\n \"recovery\": {\n \"consecutiveSuccesses\": 123,\n \"minRegionsPassing\": 123,\n \"cooldownMinutes\": 123\n }\n },\n \"alertChannelIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tags\": {\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ]\n },\n \"capturePolicy\": {},\n \"fastRetryMaxAttempts\": 5,\n \"runParallel\": true,\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"acknowledgeRollback\": \"<string>\",\n \"status\": \"<string>\",\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"secretKeys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.devhelm.io/api/v1/monitors/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {\n \"hostname\": \"<string>\",\n \"recordTypes\": [],\n \"nameservers\": [\n \"<string>\"\n ],\n \"timeoutMs\": 123,\n \"totalTimeoutMs\": 123\n },\n \"frequencySeconds\": 43205,\n \"enabled\": true,\n \"regions\": [\n \"<string>\"\n ],\n \"ownerEnforced\": true,\n \"ownerProject\": \"<string>\",\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clearEnvironmentId\": true,\n \"assertions\": [\n {\n \"config\": {\n \"type\": \"body_contains\",\n \"substring\": \"<string>\"\n }\n }\n ],\n \"auth\": {\n \"type\": \"bearer\",\n \"vaultSecretId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"clearAuth\": true,\n \"incidentPolicy\": {\n \"triggerRules\": [\n {\n \"count\": 123,\n \"windowMinutes\": 123,\n \"thresholdMs\": 123\n }\n ],\n \"confirmation\": {\n \"type\": \"multi_region\",\n \"minRegionsFailing\": 123,\n \"maxWaitSeconds\": 123\n },\n \"recovery\": {\n \"consecutiveSuccesses\": 123,\n \"minRegionsPassing\": 123,\n \"cooldownMinutes\": 123\n }\n },\n \"alertChannelIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tags\": {\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ]\n },\n \"capturePolicy\": {},\n \"fastRetryMaxAttempts\": 5,\n \"runParallel\": true,\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"acknowledgeRollback\": \"<string>\",\n \"status\": \"<string>\",\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"secretKeys\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {\n \"hostname\": \"<string>\",\n \"recordTypes\": [],\n \"nameservers\": [\n \"<string>\"\n ],\n \"timeoutMs\": 123,\n \"totalTimeoutMs\": 123\n },\n \"frequencySeconds\": 43205,\n \"enabled\": true,\n \"regions\": [\n \"<string>\"\n ],\n \"ownerEnforced\": true,\n \"ownerProject\": \"<string>\",\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clearEnvironmentId\": true,\n \"assertions\": [\n {\n \"config\": {\n \"type\": \"body_contains\",\n \"substring\": \"<string>\"\n }\n }\n ],\n \"auth\": {\n \"type\": \"bearer\",\n \"vaultSecretId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"clearAuth\": true,\n \"incidentPolicy\": {\n \"triggerRules\": [\n {\n \"count\": 123,\n \"windowMinutes\": 123,\n \"thresholdMs\": 123\n }\n ],\n \"confirmation\": {\n \"type\": \"multi_region\",\n \"minRegionsFailing\": 123,\n \"maxWaitSeconds\": 123\n },\n \"recovery\": {\n \"consecutiveSuccesses\": 123,\n \"minRegionsPassing\": 123,\n \"cooldownMinutes\": 123\n }\n },\n \"alertChannelIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tags\": {\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ]\n },\n \"capturePolicy\": {},\n \"fastRetryMaxAttempts\": 5,\n \"runParallel\": true,\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"acknowledgeRollback\": \"<string>\",\n \"status\": \"<string>\",\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"secretKeys\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"type": "HTTP",
"config": {
"hostname": "<string>",
"recordTypes": [
"A"
],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 123,
"enabled": true,
"regions": [
"<string>"
],
"managedBy": "DASHBOARD",
"ownerEnforced": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"muted": true,
"assertions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assertionType": "status_code",
"config": {
"type": "body_contains",
"substring": "<string>"
},
"severity": "fail"
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pingUrl": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"incidentPolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"type": "consecutive_failures",
"scope": "per_region",
"severity": "down",
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123,
"aggregationType": "all_exceed"
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"boundStatusPageComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentName": "<string>",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageName": "<string>"
}
],
"currentStatus": "up",
"displayHealth": "healthy",
"bindingReadiness": "ready",
"needsAttention": true,
"openIncident": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resumesAt": "2023-11-07T05:31:56Z",
"capped": {
"resumesAt": "2023-11-07T05:31:56Z",
"kind": "<string>"
},
"missingKeys": [
"<string>"
],
"blockedKeys": [
"<string>"
],
"owner": {
"type": "DASHBOARD",
"project": "<string>",
"address": "<string>",
"label": "<string>",
"labeledAt": "2023-11-07T05:31:56Z"
},
"flakyRate": 123,
"flakySince": "2023-11-07T05:31:56Z",
"flakySeverity": "low",
"lastCheckOutcome": "passed",
"lastCheckRegion": "<string>",
"lastCheckAt": "2023-11-07T05:31:56Z",
"lastCheckResponseTimeMs": 123,
"lastFailureSummary": "<string>",
"lastStateChangeAt": "2023-11-07T05:31:56Z",
"regionHealth": [
{
"region": "<string>",
"verdict": "up"
}
],
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capturePolicy": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"secretKeys": [
"<string>"
],
"fastRetryMaxAttempts": 123,
"runParallel": true,
"mutedUntil": "2023-11-07T05:31:56Z",
"muteReason": "<string>",
"pausedAt": "2023-11-07T05:31:56Z",
"pauseReason": "<string>",
"pauseExpiresAt": "2023-11-07T05:31:56Z",
"quarantineOwnerId": "<string>",
"quarantineUntil": "2023-11-07T05:31:56Z",
"quarantineReason": "<string>",
"usageProjection": {
"projectedMonthlyRuns": 123,
"reserveRuns": 123,
"scheduledUsageEatsReserve": true,
"wouldHitHardStop": true,
"wouldHitSpendCap": true,
"projectedOverageRuns": 123,
"meter": "<string>",
"includedRunsLeft": 123,
"projectedOverageCents": 123
},
"liveRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"liveRevisionDigest": "<string>",
"triage": {
"restoreBlockers": [
"<string>"
],
"deletedBindings": [
{
"statusPage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"workspaceId": 123,
"name": "<string>",
"slug": "<string>",
"branding": {
"logoUrl": "<string>",
"faviconUrl": "<string>",
"brandColor": "<string>",
"pageBackground": "<string>",
"cardBackground": "<string>",
"textColor": "<string>",
"borderColor": "<string>",
"headerStyle": "<string>",
"theme": "<string>",
"reportUrl": "<string>",
"hidePoweredBy": false,
"showSubscribeButton": true,
"noIndex": false,
"timeZone": "<string>",
"customCss": "<string>",
"customHeadHtml": "<string>"
},
"visibility": "PUBLIC",
"enabled": true,
"incidentMode": "MANUAL",
"subscriberChannels": [
"EMAIL"
],
"emailSender": {
"senderDomainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromLocalPart": "<string>",
"fromName": "<string>",
"replyTo": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"emailSignIn": "PASSWORD",
"ssoRoutingMode": "EMAIL_DOMAIN",
"componentCount": 123,
"subscriberCount": 123,
"overallStatus": "OPERATIONAL",
"openIncident": {
"title": "<string>",
"status": "INVESTIGATING",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"managedBy": "DASHBOARD",
"unresolvedReminderMinutes": 123
},
"component": {
"name": "<string>",
"showUptime": true,
"displayOrder": 123,
"excludeFromOverall": true,
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25"
}
}
],
"lastCheckAt": "2023-11-07T05:31:56Z",
"latestRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"source": "schedule",
"countsTowardHealth": true,
"enqueuedAt": "2023-11-07T05:31:56Z",
"phase": "created",
"cancelRequested": true,
"flaky": true,
"bundleDigest": "<string>",
"capturePolicySnapshot": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"bindingVersionSnapshot": {
"keys": [
"<string>"
],
"attachedKeys": [
"<string>"
]
},
"evidenceIncomplete": true,
"stream": true,
"evidence": [
{
"kind": "screenshot",
"state": "present"
}
],
"tabCounts": {
"steps": 123,
"assets": 123,
"diff": 123
},
"attempt": 123,
"attemptOf": 123,
"attempts": [
{
"attempt": 123,
"outcome": "passed",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"executionAttempts": [
{
"runGeneration": 123,
"supervisor": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"protocolMajor": 123,
"capabilities": [
"<string>"
],
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"billable": true,
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorName": "<string>",
"monitorType": "HTTP",
"host": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentName": "<string>",
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdByKind": "dashboard",
"baseRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123
}
},
"startDeadlineAt": "2023-11-07T05:31:56Z",
"evaluationCycleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryOfRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retriedFromRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "passed",
"headline": "<string>",
"executionLine": "<string>",
"metaLine": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"cancelledBy": "<string>",
"artifactsExpiredAt": "2023-11-07T05:31:56Z",
"pinnedAt": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"queueWaitMs": 123,
"queuePosition": 123,
"delayed": true,
"heartbeatAgeMs": 123,
"live": {
"stepCount": 123,
"stepIndex": 123,
"stepTitle": "<string>",
"artifactsUploaded": 123,
"artifactsExpected": 123
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution": {
"id": "<string>",
"runtime": {
"id": "<string>",
"nodeVersion": "<string>",
"playwrightVersion": "<string>",
"status": "baking",
"platformDefault": true,
"regions": [
{
"region": "<string>",
"available": true
}
],
"eolAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"packages": {},
"nodeBuiltins": [
"<string>"
],
"reservedBindings": [
"<string>"
],
"browser": {
"iframes": true,
"stripeElements": true,
"popups": true,
"downloads": true,
"viewport": true,
"geolocation": true,
"clipboard": true,
"upload": true
}
},
"harness": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"monitorType": "HTTP",
"imageDigest": "<string>",
"requiredCapabilities": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerManifestSha256": "<string>",
"buildManifestSha256": "<string>"
},
"url": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
},
"runtimeId": "<string>",
"cause": "platform",
"failure": {
"kind": "assertion",
"step": "<string>",
"message": "<string>",
"file": "<string>",
"line": 123,
"index": 123
},
"artifactsExpireAt": "2023-11-07T05:31:56Z"
},
"latestHealthRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"source": "schedule",
"countsTowardHealth": true,
"enqueuedAt": "2023-11-07T05:31:56Z",
"phase": "created",
"cancelRequested": true,
"flaky": true,
"bundleDigest": "<string>",
"capturePolicySnapshot": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"bindingVersionSnapshot": {
"keys": [
"<string>"
],
"attachedKeys": [
"<string>"
]
},
"evidenceIncomplete": true,
"stream": true,
"evidence": [
{
"kind": "screenshot",
"state": "present"
}
],
"tabCounts": {
"steps": 123,
"assets": 123,
"diff": 123
},
"attempt": 123,
"attemptOf": 123,
"attempts": [
{
"attempt": 123,
"outcome": "passed",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"executionAttempts": [
{
"runGeneration": 123,
"supervisor": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"protocolMajor": 123,
"capabilities": [
"<string>"
],
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"billable": true,
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorName": "<string>",
"monitorType": "HTTP",
"host": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentName": "<string>",
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdByKind": "dashboard",
"baseRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123
}
},
"startDeadlineAt": "2023-11-07T05:31:56Z",
"evaluationCycleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryOfRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retriedFromRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "passed",
"headline": "<string>",
"executionLine": "<string>",
"metaLine": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"cancelledBy": "<string>",
"artifactsExpiredAt": "2023-11-07T05:31:56Z",
"pinnedAt": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"queueWaitMs": 123,
"queuePosition": 123,
"delayed": true,
"heartbeatAgeMs": 123,
"live": {
"stepCount": 123,
"stepIndex": 123,
"stepTitle": "<string>",
"artifactsUploaded": 123,
"artifactsExpected": 123
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution": {
"id": "<string>",
"runtime": {
"id": "<string>",
"nodeVersion": "<string>",
"playwrightVersion": "<string>",
"status": "baking",
"platformDefault": true,
"regions": [
{
"region": "<string>",
"available": true
}
],
"eolAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"packages": {},
"nodeBuiltins": [
"<string>"
],
"reservedBindings": [
"<string>"
],
"browser": {
"iframes": true,
"stripeElements": true,
"popups": true,
"downloads": true,
"viewport": true,
"geolocation": true,
"clipboard": true,
"upload": true
}
},
"harness": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"monitorType": "HTTP",
"imageDigest": "<string>",
"requiredCapabilities": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerManifestSha256": "<string>",
"buildManifestSha256": "<string>"
},
"url": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
},
"runtimeId": "<string>",
"cause": "platform",
"failure": {
"kind": "assertion",
"step": "<string>",
"message": "<string>",
"file": "<string>",
"line": 123,
"index": 123
},
"artifactsExpireAt": "2023-11-07T05:31:56Z"
},
"incident": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"source": "AUTOMATIC",
"status": "WATCHING",
"severity": "DOWN",
"affectedRegions": [
"<string>"
],
"reopenCount": 123,
"statusPageVisible": true,
"suppressDispatch": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"triggeredByRule": "<string>",
"createdByUserId": 123,
"serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"affectedComponents": [
"<string>"
],
"shortlink": "<string>",
"resolutionReason": "MANUAL",
"resolutionNote": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"monitorName": "<string>",
"serviceName": "<string>",
"serviceSlug": "<string>",
"monitorType": "<string>",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupName": "<string>",
"triggeringCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeringRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeredByRuleSnapshotHashHex": "<string>",
"triggeredByRuleIndex": 123,
"engineVersion": "<string>",
"displayKey": "<string>",
"alertCollapsedByResourceGroupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"peakFailingMemberCount": 123,
"failingMembersAtPeak": [
{
"memberType": "<string>",
"name": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"pausedBy": {
"id": 123,
"email": "<string>",
"emailVerified": true,
"userRole": "SUPERADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboardingStage": "WELCOME",
"imageUrl": "<string>"
},
"flakiness": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"cycleCount": 123,
"flakyCycleCount": 123
}
},
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": {
"id": 123,
"email": "<string>",
"emailVerified": true,
"userRole": "SUPERADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboardingStage": "WELCOME",
"imageUrl": "<string>"
},
"createdVia": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitors
Update a monitor
PUT
/
api
/
v1
/
monitors
/
{id}
Update a monitor
curl --request PUT \
--url https://api.devhelm.io/api/v1/monitors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 43205,
"enabled": true,
"regions": [
"<string>"
],
"ownerEnforced": true,
"ownerProject": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clearEnvironmentId": true,
"assertions": [
{
"config": {
"type": "body_contains",
"substring": "<string>"
}
}
],
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"clearAuth": true,
"incidentPolicy": {
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
}
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": {
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
},
"capturePolicy": {},
"fastRetryMaxAttempts": 5,
"runParallel": true,
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"acknowledgeRollback": "<string>",
"status": "<string>",
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"secretKeys": [
"<string>"
]
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}"
payload = {
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": ["<string>"],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 43205,
"enabled": True,
"regions": ["<string>"],
"ownerEnforced": True,
"ownerProject": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clearEnvironmentId": True,
"assertions": [{ "config": {
"type": "body_contains",
"substring": "<string>"
} }],
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"clearAuth": True,
"incidentPolicy": {
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
}
},
"alertChannelIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tags": {
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
},
"capturePolicy": {},
"fastRetryMaxAttempts": 5,
"runParallel": True,
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"acknowledgeRollback": "<string>",
"status": "<string>",
"expectedUpdatedAt": "2023-11-07T05:31:56Z",
"secretKeys": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
hostname: '<string>',
recordTypes: [],
nameservers: ['<string>'],
timeoutMs: 123,
totalTimeoutMs: 123
},
frequencySeconds: 43205,
enabled: true,
regions: ['<string>'],
ownerEnforced: true,
ownerProject: '<string>',
environmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clearEnvironmentId: true,
assertions: [{config: {type: 'body_contains', substring: '<string>'}}],
auth: {type: 'bearer', vaultSecretId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
clearAuth: true,
incidentPolicy: {
triggerRules: [{count: 123, windowMinutes: 123, thresholdMs: 123}],
confirmation: {type: 'multi_region', minRegionsFailing: 123, maxWaitSeconds: 123},
recovery: {consecutiveSuccesses: 123, minRegionsPassing: 123, cooldownMinutes: 123}
},
alertChannelIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tags: {
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
newTags: [{name: '<string>', color: '<string>'}]
},
capturePolicy: {},
fastRetryMaxAttempts: 5,
runParallel: true,
code: {
bundle: '<string>',
entrypoint: '<string>',
source: {repo: '<string>', branch: '<string>', commit: '<string>', file: '<string>'}
},
acknowledgeRollback: '<string>',
status: '<string>',
expectedUpdatedAt: '2023-11-07T05:31:56Z',
secretKeys: ['<string>']
})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
'hostname' => '<string>',
'recordTypes' => [
],
'nameservers' => [
'<string>'
],
'timeoutMs' => 123,
'totalTimeoutMs' => 123
],
'frequencySeconds' => 43205,
'enabled' => true,
'regions' => [
'<string>'
],
'ownerEnforced' => true,
'ownerProject' => '<string>',
'environmentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clearEnvironmentId' => true,
'assertions' => [
[
'config' => [
'type' => 'body_contains',
'substring' => '<string>'
]
]
],
'auth' => [
'type' => 'bearer',
'vaultSecretId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'clearAuth' => true,
'incidentPolicy' => [
'triggerRules' => [
[
'count' => 123,
'windowMinutes' => 123,
'thresholdMs' => 123
]
],
'confirmation' => [
'type' => 'multi_region',
'minRegionsFailing' => 123,
'maxWaitSeconds' => 123
],
'recovery' => [
'consecutiveSuccesses' => 123,
'minRegionsPassing' => 123,
'cooldownMinutes' => 123
]
],
'alertChannelIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'tags' => [
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'newTags' => [
[
'name' => '<string>',
'color' => '<string>'
]
]
],
'capturePolicy' => [
],
'fastRetryMaxAttempts' => 5,
'runParallel' => true,
'code' => [
'bundle' => '<string>',
'entrypoint' => '<string>',
'source' => [
'repo' => '<string>',
'branch' => '<string>',
'commit' => '<string>',
'file' => '<string>'
]
],
'acknowledgeRollback' => '<string>',
'status' => '<string>',
'expectedUpdatedAt' => '2023-11-07T05:31:56Z',
'secretKeys' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {\n \"hostname\": \"<string>\",\n \"recordTypes\": [],\n \"nameservers\": [\n \"<string>\"\n ],\n \"timeoutMs\": 123,\n \"totalTimeoutMs\": 123\n },\n \"frequencySeconds\": 43205,\n \"enabled\": true,\n \"regions\": [\n \"<string>\"\n ],\n \"ownerEnforced\": true,\n \"ownerProject\": \"<string>\",\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clearEnvironmentId\": true,\n \"assertions\": [\n {\n \"config\": {\n \"type\": \"body_contains\",\n \"substring\": \"<string>\"\n }\n }\n ],\n \"auth\": {\n \"type\": \"bearer\",\n \"vaultSecretId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"clearAuth\": true,\n \"incidentPolicy\": {\n \"triggerRules\": [\n {\n \"count\": 123,\n \"windowMinutes\": 123,\n \"thresholdMs\": 123\n }\n ],\n \"confirmation\": {\n \"type\": \"multi_region\",\n \"minRegionsFailing\": 123,\n \"maxWaitSeconds\": 123\n },\n \"recovery\": {\n \"consecutiveSuccesses\": 123,\n \"minRegionsPassing\": 123,\n \"cooldownMinutes\": 123\n }\n },\n \"alertChannelIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tags\": {\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ]\n },\n \"capturePolicy\": {},\n \"fastRetryMaxAttempts\": 5,\n \"runParallel\": true,\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"acknowledgeRollback\": \"<string>\",\n \"status\": \"<string>\",\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"secretKeys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.devhelm.io/api/v1/monitors/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {\n \"hostname\": \"<string>\",\n \"recordTypes\": [],\n \"nameservers\": [\n \"<string>\"\n ],\n \"timeoutMs\": 123,\n \"totalTimeoutMs\": 123\n },\n \"frequencySeconds\": 43205,\n \"enabled\": true,\n \"regions\": [\n \"<string>\"\n ],\n \"ownerEnforced\": true,\n \"ownerProject\": \"<string>\",\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clearEnvironmentId\": true,\n \"assertions\": [\n {\n \"config\": {\n \"type\": \"body_contains\",\n \"substring\": \"<string>\"\n }\n }\n ],\n \"auth\": {\n \"type\": \"bearer\",\n \"vaultSecretId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"clearAuth\": true,\n \"incidentPolicy\": {\n \"triggerRules\": [\n {\n \"count\": 123,\n \"windowMinutes\": 123,\n \"thresholdMs\": 123\n }\n ],\n \"confirmation\": {\n \"type\": \"multi_region\",\n \"minRegionsFailing\": 123,\n \"maxWaitSeconds\": 123\n },\n \"recovery\": {\n \"consecutiveSuccesses\": 123,\n \"minRegionsPassing\": 123,\n \"cooldownMinutes\": 123\n }\n },\n \"alertChannelIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tags\": {\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ]\n },\n \"capturePolicy\": {},\n \"fastRetryMaxAttempts\": 5,\n \"runParallel\": true,\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"acknowledgeRollback\": \"<string>\",\n \"status\": \"<string>\",\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"secretKeys\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {\n \"hostname\": \"<string>\",\n \"recordTypes\": [],\n \"nameservers\": [\n \"<string>\"\n ],\n \"timeoutMs\": 123,\n \"totalTimeoutMs\": 123\n },\n \"frequencySeconds\": 43205,\n \"enabled\": true,\n \"regions\": [\n \"<string>\"\n ],\n \"ownerEnforced\": true,\n \"ownerProject\": \"<string>\",\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clearEnvironmentId\": true,\n \"assertions\": [\n {\n \"config\": {\n \"type\": \"body_contains\",\n \"substring\": \"<string>\"\n }\n }\n ],\n \"auth\": {\n \"type\": \"bearer\",\n \"vaultSecretId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"clearAuth\": true,\n \"incidentPolicy\": {\n \"triggerRules\": [\n {\n \"count\": 123,\n \"windowMinutes\": 123,\n \"thresholdMs\": 123\n }\n ],\n \"confirmation\": {\n \"type\": \"multi_region\",\n \"minRegionsFailing\": 123,\n \"maxWaitSeconds\": 123\n },\n \"recovery\": {\n \"consecutiveSuccesses\": 123,\n \"minRegionsPassing\": 123,\n \"cooldownMinutes\": 123\n }\n },\n \"alertChannelIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tags\": {\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ]\n },\n \"capturePolicy\": {},\n \"fastRetryMaxAttempts\": 5,\n \"runParallel\": true,\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"acknowledgeRollback\": \"<string>\",\n \"status\": \"<string>\",\n \"expectedUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"secretKeys\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"type": "HTTP",
"config": {
"hostname": "<string>",
"recordTypes": [
"A"
],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 123,
"enabled": true,
"regions": [
"<string>"
],
"managedBy": "DASHBOARD",
"ownerEnforced": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"muted": true,
"assertions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assertionType": "status_code",
"config": {
"type": "body_contains",
"substring": "<string>"
},
"severity": "fail"
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pingUrl": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"incidentPolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"type": "consecutive_failures",
"scope": "per_region",
"severity": "down",
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123,
"aggregationType": "all_exceed"
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"boundStatusPageComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentName": "<string>",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageName": "<string>"
}
],
"currentStatus": "up",
"displayHealth": "healthy",
"bindingReadiness": "ready",
"needsAttention": true,
"openIncident": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resumesAt": "2023-11-07T05:31:56Z",
"capped": {
"resumesAt": "2023-11-07T05:31:56Z",
"kind": "<string>"
},
"missingKeys": [
"<string>"
],
"blockedKeys": [
"<string>"
],
"owner": {
"type": "DASHBOARD",
"project": "<string>",
"address": "<string>",
"label": "<string>",
"labeledAt": "2023-11-07T05:31:56Z"
},
"flakyRate": 123,
"flakySince": "2023-11-07T05:31:56Z",
"flakySeverity": "low",
"lastCheckOutcome": "passed",
"lastCheckRegion": "<string>",
"lastCheckAt": "2023-11-07T05:31:56Z",
"lastCheckResponseTimeMs": 123,
"lastFailureSummary": "<string>",
"lastStateChangeAt": "2023-11-07T05:31:56Z",
"regionHealth": [
{
"region": "<string>",
"verdict": "up"
}
],
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capturePolicy": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"secretKeys": [
"<string>"
],
"fastRetryMaxAttempts": 123,
"runParallel": true,
"mutedUntil": "2023-11-07T05:31:56Z",
"muteReason": "<string>",
"pausedAt": "2023-11-07T05:31:56Z",
"pauseReason": "<string>",
"pauseExpiresAt": "2023-11-07T05:31:56Z",
"quarantineOwnerId": "<string>",
"quarantineUntil": "2023-11-07T05:31:56Z",
"quarantineReason": "<string>",
"usageProjection": {
"projectedMonthlyRuns": 123,
"reserveRuns": 123,
"scheduledUsageEatsReserve": true,
"wouldHitHardStop": true,
"wouldHitSpendCap": true,
"projectedOverageRuns": 123,
"meter": "<string>",
"includedRunsLeft": 123,
"projectedOverageCents": 123
},
"liveRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"liveRevisionDigest": "<string>",
"triage": {
"restoreBlockers": [
"<string>"
],
"deletedBindings": [
{
"statusPage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"workspaceId": 123,
"name": "<string>",
"slug": "<string>",
"branding": {
"logoUrl": "<string>",
"faviconUrl": "<string>",
"brandColor": "<string>",
"pageBackground": "<string>",
"cardBackground": "<string>",
"textColor": "<string>",
"borderColor": "<string>",
"headerStyle": "<string>",
"theme": "<string>",
"reportUrl": "<string>",
"hidePoweredBy": false,
"showSubscribeButton": true,
"noIndex": false,
"timeZone": "<string>",
"customCss": "<string>",
"customHeadHtml": "<string>"
},
"visibility": "PUBLIC",
"enabled": true,
"incidentMode": "MANUAL",
"subscriberChannels": [
"EMAIL"
],
"emailSender": {
"senderDomainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromLocalPart": "<string>",
"fromName": "<string>",
"replyTo": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"emailSignIn": "PASSWORD",
"ssoRoutingMode": "EMAIL_DOMAIN",
"componentCount": 123,
"subscriberCount": 123,
"overallStatus": "OPERATIONAL",
"openIncident": {
"title": "<string>",
"status": "INVESTIGATING",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"managedBy": "DASHBOARD",
"unresolvedReminderMinutes": 123
},
"component": {
"name": "<string>",
"showUptime": true,
"displayOrder": 123,
"excludeFromOverall": true,
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25"
}
}
],
"lastCheckAt": "2023-11-07T05:31:56Z",
"latestRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"source": "schedule",
"countsTowardHealth": true,
"enqueuedAt": "2023-11-07T05:31:56Z",
"phase": "created",
"cancelRequested": true,
"flaky": true,
"bundleDigest": "<string>",
"capturePolicySnapshot": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"bindingVersionSnapshot": {
"keys": [
"<string>"
],
"attachedKeys": [
"<string>"
]
},
"evidenceIncomplete": true,
"stream": true,
"evidence": [
{
"kind": "screenshot",
"state": "present"
}
],
"tabCounts": {
"steps": 123,
"assets": 123,
"diff": 123
},
"attempt": 123,
"attemptOf": 123,
"attempts": [
{
"attempt": 123,
"outcome": "passed",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"executionAttempts": [
{
"runGeneration": 123,
"supervisor": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"protocolMajor": 123,
"capabilities": [
"<string>"
],
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"billable": true,
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorName": "<string>",
"monitorType": "HTTP",
"host": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentName": "<string>",
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdByKind": "dashboard",
"baseRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123
}
},
"startDeadlineAt": "2023-11-07T05:31:56Z",
"evaluationCycleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryOfRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retriedFromRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "passed",
"headline": "<string>",
"executionLine": "<string>",
"metaLine": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"cancelledBy": "<string>",
"artifactsExpiredAt": "2023-11-07T05:31:56Z",
"pinnedAt": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"queueWaitMs": 123,
"queuePosition": 123,
"delayed": true,
"heartbeatAgeMs": 123,
"live": {
"stepCount": 123,
"stepIndex": 123,
"stepTitle": "<string>",
"artifactsUploaded": 123,
"artifactsExpected": 123
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution": {
"id": "<string>",
"runtime": {
"id": "<string>",
"nodeVersion": "<string>",
"playwrightVersion": "<string>",
"status": "baking",
"platformDefault": true,
"regions": [
{
"region": "<string>",
"available": true
}
],
"eolAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"packages": {},
"nodeBuiltins": [
"<string>"
],
"reservedBindings": [
"<string>"
],
"browser": {
"iframes": true,
"stripeElements": true,
"popups": true,
"downloads": true,
"viewport": true,
"geolocation": true,
"clipboard": true,
"upload": true
}
},
"harness": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"monitorType": "HTTP",
"imageDigest": "<string>",
"requiredCapabilities": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerManifestSha256": "<string>",
"buildManifestSha256": "<string>"
},
"url": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
},
"runtimeId": "<string>",
"cause": "platform",
"failure": {
"kind": "assertion",
"step": "<string>",
"message": "<string>",
"file": "<string>",
"line": 123,
"index": 123
},
"artifactsExpireAt": "2023-11-07T05:31:56Z"
},
"latestHealthRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"source": "schedule",
"countsTowardHealth": true,
"enqueuedAt": "2023-11-07T05:31:56Z",
"phase": "created",
"cancelRequested": true,
"flaky": true,
"bundleDigest": "<string>",
"capturePolicySnapshot": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"bindingVersionSnapshot": {
"keys": [
"<string>"
],
"attachedKeys": [
"<string>"
]
},
"evidenceIncomplete": true,
"stream": true,
"evidence": [
{
"kind": "screenshot",
"state": "present"
}
],
"tabCounts": {
"steps": 123,
"assets": 123,
"diff": 123
},
"attempt": 123,
"attemptOf": 123,
"attempts": [
{
"attempt": 123,
"outcome": "passed",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"executionAttempts": [
{
"runGeneration": 123,
"supervisor": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"protocolMajor": 123,
"capabilities": [
"<string>"
],
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"billable": true,
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorName": "<string>",
"monitorType": "HTTP",
"host": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentName": "<string>",
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdByKind": "dashboard",
"baseRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123
}
},
"startDeadlineAt": "2023-11-07T05:31:56Z",
"evaluationCycleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryOfRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retriedFromRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "passed",
"headline": "<string>",
"executionLine": "<string>",
"metaLine": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"cancelledBy": "<string>",
"artifactsExpiredAt": "2023-11-07T05:31:56Z",
"pinnedAt": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"queueWaitMs": 123,
"queuePosition": 123,
"delayed": true,
"heartbeatAgeMs": 123,
"live": {
"stepCount": 123,
"stepIndex": 123,
"stepTitle": "<string>",
"artifactsUploaded": 123,
"artifactsExpected": 123
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution": {
"id": "<string>",
"runtime": {
"id": "<string>",
"nodeVersion": "<string>",
"playwrightVersion": "<string>",
"status": "baking",
"platformDefault": true,
"regions": [
{
"region": "<string>",
"available": true
}
],
"eolAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"packages": {},
"nodeBuiltins": [
"<string>"
],
"reservedBindings": [
"<string>"
],
"browser": {
"iframes": true,
"stripeElements": true,
"popups": true,
"downloads": true,
"viewport": true,
"geolocation": true,
"clipboard": true,
"upload": true
}
},
"harness": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"monitorType": "HTTP",
"imageDigest": "<string>",
"requiredCapabilities": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerManifestSha256": "<string>",
"buildManifestSha256": "<string>"
},
"url": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
},
"runtimeId": "<string>",
"cause": "platform",
"failure": {
"kind": "assertion",
"step": "<string>",
"message": "<string>",
"file": "<string>",
"line": 123,
"index": 123
},
"artifactsExpireAt": "2023-11-07T05:31:56Z"
},
"incident": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"source": "AUTOMATIC",
"status": "WATCHING",
"severity": "DOWN",
"affectedRegions": [
"<string>"
],
"reopenCount": 123,
"statusPageVisible": true,
"suppressDispatch": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"triggeredByRule": "<string>",
"createdByUserId": 123,
"serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"affectedComponents": [
"<string>"
],
"shortlink": "<string>",
"resolutionReason": "MANUAL",
"resolutionNote": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"monitorName": "<string>",
"serviceName": "<string>",
"serviceSlug": "<string>",
"monitorType": "<string>",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupName": "<string>",
"triggeringCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeringRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeredByRuleSnapshotHashHex": "<string>",
"triggeredByRuleIndex": 123,
"engineVersion": "<string>",
"displayKey": "<string>",
"alertCollapsedByResourceGroupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"peakFailingMemberCount": 123,
"failingMembersAtPeak": [
{
"memberType": "<string>",
"name": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"pausedBy": {
"id": 123,
"email": "<string>",
"emailVerified": true,
"userRole": "SUPERADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboardingStage": "WELCOME",
"imageUrl": "<string>"
},
"flakiness": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"cycleCount": 123,
"flakyCycleCount": 123
}
},
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": {
"id": 123,
"email": "<string>",
"emailVerified": true,
"userRole": "SUPERADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboardingStage": "WELCOME",
"imageUrl": "<string>"
},
"createdVia": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Body
application/json